(* $Id: cursor.mli,v 1.2 1997/04/22 07:29:53 ddr Exp $ *)

type 'a t;;

exception Failure;;

value create : unit -> 'a t;;
value before : 'a t -> unit;;
value after : 'a t -> unit;;
value insert : 'a t -> 'a -> unit;;
value insert_last : 'a t -> 'a -> unit;;
value peek : 'a t -> 'a;;
value peek_last : 'a t -> 'a;;
value goto_first : 'a t -> unit;;
value goto_last : 'a t -> unit;;
value get_all : 'a t -> 'a list;;
